Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.encoding
Class AbstractCodec

    java.lang.Object
      weblogic.webservice.encoding.AbstractCodec

All Implemented Interfaces:
  Deserializer, Deserializer, DeserializerFactory, Serializable, Serializer, Serializer, SerializerFactory

Direct Known Subclasses:
  AttachmentCodec, SOAPElementCodec

Deprecated. please migrate to jws for webservices

public abstract class AbstractCodec
extends Object
implements Serializer, Deserializer, SerializerFactory, DeserializerFactory

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AbstractCodec()` Deprecated.

Method Summary
`Deserializer` | `getDeserializerAs(String mechanism)` Deprecated.
`String` | `getMechanismType()` Deprecated. Returns constant indicating that this serializer/deserializer uses the weblogic stream mechanism
`Serializer` | `getSerializerAs(String mechanism)` Deprecated.
`Iterator` | `getSupportedMechanismTypes()` Deprecated. Returns an Iterator containing a single item -- the constant indicating that this serializer/deserializer uses the weblogic stream mechanism

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.xml.schema.binding.Serializer
`serialize`

Methods inherited from interface weblogic.xml.schema.binding.Deserializer
`deserialize, deserialize`

Constructor Detail

### AbstractCodec

    public AbstractCodec()

  Deprecated.

Method Detail

### getDeserializerAs

    public Deserializer getDeserializerAs(String mechanism)
                                   throws JAXRPCException

  Deprecated.
  Specified by:
    `getDeserializerAs` in interface `DeserializerFactory`
  Throws:
    `JAXRPCException`

### getMechanismType

    public String getMechanismType()

  Deprecated.
  Returns constant indicating that this serializer/deserializer uses the weblogic stream mechanism

  Specified by:
    `getMechanismType` in interface `Serializer`

### getSerializerAs

    public Serializer getSerializerAs(String mechanism)
                               throws JAXRPCException

  Deprecated.
  Specified by:
    `getSerializerAs` in interface `SerializerFactory`
  Throws:
    `JAXRPCException`

### getSupportedMechanismTypes

    public Iterator getSupportedMechanismTypes()

  Deprecated.
  Returns an Iterator containing a single item -- the constant indicating that this serializer/deserializer uses the weblogic stream mechanism

  Specified by:
    `getSupportedMechanismTypes` in interface `SerializerFactory`
  See Also:
    `getMechanismType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD